Commit f31ebb7a authored by Daniel Scheffler's avatar Daniel Scheffler

Removed not needed dependencies pyqt, scikit-image, lxml and ipython.

Signed-off-by: Daniel Scheffler's avatarDaniel Scheffler <danschef@gfz-potsdam.de>
parent b2394ba8
Pipeline #5524 failed with stage
in 1 minute and 34 seconds
......@@ -62,7 +62,7 @@ test_py_tools_ds_install:
- conda config --set channel_priority strict # otherwise gdal or libgdal may be installed from defaults channel
# resolve some requirements with conda
- conda install --yes -q -c conda-forge numpy gdal scikit-image pyproj rasterio shapely geopandas
- conda install --yes -q -c conda-forge numpy gdal pyproj rasterio shapely geopandas
# run installer
- python setup.py install
......@@ -75,6 +75,7 @@ test_py_tools_ds_install:
- python -c "from py_tools_ds.geo.vector.geometry import boxObj"
only:
- master
- enhancement/clean_deps
pages: # this job must be called 'pages' to advise GitLab to upload content to GitLab Pages
......
......@@ -62,7 +62,7 @@ Using conda_, the recommended approach is:
# create virtual environment for py_tools_ds, this is optional
conda create -y -q --name py_tools_ds python=3
source activate py_tools_ds
conda install -c conda-forge numpy gdal scikit-image pyproj rasterio shapely pandas
conda install -c conda-forge numpy gdal pyproj rasterio shapely pandas
Then install py_tools_ds using the pip installer:
......
......@@ -22,13 +22,10 @@ requirements:
- sphinx-argparse
run:
- python
- pyqt
- numpy
- gdal
- scikit-image
- rasterio
- pyproj
- lxml
- geopandas
- six
- spectral
......
......@@ -36,8 +36,7 @@ version = {}
with open("py_tools_ds/version.py") as version_file:
exec(version_file.read(), version)
requirements = ['gdal', 'numpy', 'shapely', 'six', 'rasterio', 'pandas', 'geopandas',
'scikit-image', 'pyproj', 'spectral']
requirements = ['gdal', 'numpy', 'shapely', 'six', 'rasterio', 'pandas', 'geopandas', 'pyproj', 'spectral']
setup_requirements = [] # TODO(danschef): put setup requirements (distutils extensions, etc.) here
test_requirements = requirements + ["coverage", "nose", "nose2", "nose-htmloutput", "rednose"]
......
......@@ -5,17 +5,14 @@ channels: &id1
dependencies:
- python=3.*.*
- pyqt
- pip # avoids that conda uses the wrong pip
- numpy
- gdal
- conda-forge::libgdal # force to use conda-forge for libgdal to avoid package version incompatiblies due to mixed channels (libkea.so.1.4.7: cannot open shared object file: No such file or directory)
# - kealib # fix for libkea.so.1.4.7: cannot open shared object file: No such file or directory (not needed as long as libgdal and gdal are conda-forge packages)
- scikit-image
- rasterio
- pyproj
- lxml
- geopandas
- ipython
- conda-build # for conda deployment
- conda-build-all
- anaconda-client # for conda upload
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment